# Boost C++ Libraries

...one of the most highly regarded and expertly designed C++ library projects in the world. — Herb Sutter and Andrei Alexandrescu, C++ Coding Standards

Public Member Functions

# boost::locale::date_time_error Class Reference
[Date, Time, Timezone and Calendar manipulations]

This error is thrown in case of invalid state that occurred. More...

`#include <boost/locale/date_time.hpp>`

List of all members.

## Public Member Functions

| date_time_error (std::string const &e)

## Detailed Description

This error is thrown in case of invalid state that occurred.

## Constructor & Destructor Documentation

boost::locale::date_time_error::date_time_error | ( | std::string const & | e | ) | `[inline]`

Constructor of date_time_error class

The documentation for this class was generated from the following file:

- boost/locale/date_time.hpp